Package io.yellowbrick.jdbc.dialog

## Class FrameFinder

- java.lang.Object
- - io.yellowbrick.jdbc.dialog.FrameFinder

    public final class FrameFinder
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static Optional<Frame>` `findTopLevelFrame()` Find the best top-level AWT Frame to use as a dialog owner.
`static void` `setSupplier​(Supplier<Frame> s)` Set a supplier that returns the app's preferred top-level Frame (may return null).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setSupplier

    public static void setSupplier​(Supplier<Frame> s)

Set a supplier that returns the app's preferred top-level Frame (may return null).

Parameters:
  `s` - supplier of top-level frame.

#### findTopLevelFrame

    public static Optional<Frame> findTopLevelFrame()

Find the best top-level AWT Frame to use as a dialog owner.

Returns:
  top-level AWT frame for parenting a dialog.